Bug 8727 - [i915]Segmentation fault when runing glean
[i915]Segmentation fault when runing glean
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
git
x86 (IA32) Linux (All)
: high normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 01:56 UTC by veelion (inactive account)
Modified: 2009-08-24 12:24 UTC (History)
1 user (show)

See Also:


Attachments
free dnl data in i915 driver (346 bytes, patch)
2006-10-31 23:22 UTC, haihao
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description veelion (inactive account) 2006-10-23 01:56:09 UTC
platform: 915GM, 945GM (ia32)
OS: FC5 + kernel 2.6.17.7

glean running many minutes and then abort with and Segmentation, using gdb debug 
it and got the information following,
----------------
Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread -1210890576 (LWP 3132)]

do_ABS (m=0x8c79fb0, op=
{alu = {opcode = 0, dst = 18, file0 = 3, idx0 = 0, file1 = 0, idx1 = 0, pad = 
0, pad2 = 0}, rsw = {opcode = 0, dst = 18, file0 = 3, idx0 = 0, neg = 0, swz = 
0}, msk = {opcode = 0, dst = 18, file = 3, idx = 0, mask = 0, pad = 0, pad2 = 
0}}) at tnl/t_vb_arbprogram.c:211

211 result[0] = (arg0[0] < 0.0) ? -arg0[0] : arg0[0];
Current language:  auto; currently c
------------------
Comment 1 haihao 2006-10-31 23:22:22 UTC
Created attachment 7614 [details] [review]
free dnl data in i915 driver
Comment 2 haihao 2006-10-31 23:32:50 UTC
After a new vertex program string is parsed, The driver should call
_tnl_program_string to free any existing tnl data. So this patch add a line
"_tnl_program_string(ctx, target, prog);" in ii915_fragprog.c/915ProgramStringNotify
Comment 3 Keith Whitwell 2006-11-01 01:36:20 UTC
Looks good, I've committed the patch.
Comment 4 Gordon Jin 2006-11-02 01:35:26 UTC
Verified. Thanks for Keith's committing.
Comment 5 ajax at nwnk dot net 2009-08-24 12:24:47 UTC
Mass version move, cvs -> git